Content / REST API
Save content strategy
Persist a content strategy authored by the caller. Does not invoke Pipeline hosted inference.
POST /api/content/strategyDeterministic operationParameters
workspaceIdOptional · string- Optional with API key auth, inferred from the key.
nameOptional · string- See the input schema for this field.
pillarsRequired · array- See the input schema for this field.
weeklyDistributionRequired · object- See the input schema for this field.
platformDistributionOptional · object- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/content/strategy" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"pillars":[{"id":"00000000-0000-4000-8000-000000000000","name":"example","purpose":"example","funnelStage":"tofu","postTypes":[{"id":"00000000-0000-4000-8000-000000000000","name":"example","description":"example","promptHints":"example"}]}],"weeklyDistribution":{}}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"description": "Optional with API key auth, inferred from the key."
},
"name": {
"type": "string"
},
"pillars": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"name": {
"type": "string",
"minLength": 1
},
"purpose": {
"type": "string",
"minLength": 1
},
"funnelStage": {
"type": "string",
"enum": [
"tofu",
"mofu",
"bofu"
]
},
"postTypes": {
"type": "array",
"minItems": 1,
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"name": {
"type": "string",
"minLength": 1
},
"description": {
"type": "string",
"minLength": 1
},
"promptHints": {
"type": "string"
}
},
"required": [
"id",
"name",
"description",
"promptHints"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"name",
"purpose",
"funnelStage",
"postTypes"
],
"additionalProperties": false
}
},
"weeklyDistribution": {
"type": "object",
"additionalProperties": true
},
"platformDistribution": {
"type": "object",
"additionalProperties": true
}
},
"required": [
"pillars",
"weeklyDistribution"
]
}